---
data-version:
  version-major		: 0
  version-minor		: 0
  date-year		: 2025
  date-month		: 3
  date-day		: 6

sensor-read-only-regs:
# general status registers
  - mipi_ccs_version			v1_1
#  - data_pedestal			0x0040
# analogue gain registers
#  - analog_gain_code_min		0x0080
#  - analog_gain_code_max		0x4832
#  - analog_gain_code_step		0x0002
# integration time registers
#  - integration_time_capability		0x0001
#  - coarse_integration_time_min		0x0008
#  - coarse_integration_time_max_margin	0x000a
#  - fine_integration_time_min		0x0008
#  - fine_integration_time_max_margin	0x000a
#  - lane_seed_value(2, 7)		0x1234
#  - lane_seed_value(1, 3)		0x5678
#  - csi_cphy_lane_mode_capability	2_lane | 4_lane | 6_lane | 8_lane
#  - max_per_lane_bitrate_lane_d_mode_mbps(2)	0xcafecafe
#  - max_per_lane_bitrate_lane_d_mode_mbps(3)	0x12341235
#  - max_per_lane_bitrate_lane_d_mode_mbps(4)	0x1ea1ea00
#  - temp_sensor_capability		supported | ccs_format
#  - dphy_calibration_capability		manual | alternate_seq
#  - frame_format_model_type		2-byte
#  - frame_format_descriptor(0).pixels	1024
#  - frame_format_descriptor(0).pcode	visible_pixel
#  - frame_format_descriptor(7).pixels	128
#  - frame_format_descriptor(7).pcode	dummy_pixel
#  - timing_mode_capability		auto_frame_length | rolling_shutter_manual_readout | delayed_exposure_start
  - clock_tree_pll_capability           5
  - phy_ctrl_capability			auto_phy_ctl | ui_phy_ctl
  - clock_calculation			1

sensor-manufacturer-regs:
  - 0x3c7d		0x28
  - 0x3c7e		0x01
  - 0x3c7f		0x02
  - 0x3f02		0x02
  - 0x3f7f		0x01
  - 0x4421		0x04
  - 0x4430		0x05
  - 0x4431		0xdc
  - 0x5222		0x02
  - 0x562b		0x0a
  - 0x562d		0x0c
  - 0x56b7		0x74
  - 0x6200		0x95
  - 0x6201		0xb9
  - 0x6202		0x58
  - 0x6220		0x05
  - 0x6222		0x0c
  - 0x6225		0x19
  - 0x6228		0x32
  - 0x6229		0x70
  - 0x622a		0xc3
  - 0x622b		0x64
  - 0x622c		0x54
  - 0x622e		0xb8
  - 0x622f		0xa8
  - 0x6231		0x73
  - 0x6233		0x42
  - 0x6234		0xea
  - 0x6235		0x8c
  - 0x6236		0x35
  - 0x6237		0xc5
  - 0x6239		0x0c
  - 0x623a		0x96
  - 0x623c		0x19
  - 0x623f		0x32
  - 0x6240		0x59
  - 0x6241		0x83
  - 0x6242		0x64
  - 0x6243		0x54
  - 0x6245		0xa8
  - 0x6246		0xa8
  - 0x6248		0x53
  - 0x624a		0x42
  - 0x624b		0xa5
  - 0x624c		0x98
  - 0x624d		0x35
  - 0x6265		0x45
  - 0x6267		0x0c
  - 0x626a		0x19
  - 0x626d		0x32
  - 0x626e		0x72
  - 0x626f		0xc3
  - 0x6270		0x64
  - 0x6271		0x58
  - 0x6273		0xc8
  - 0x6276		0x91
  - 0x6279		0x27
  - 0x627b		0x36
  - 0x6282		0x82
  - 0x6283		0x80
  - 0x6286		0x07
  - 0x6287		0xc0
  - 0x6288		0x08
  - 0x628a		0x18
  - 0x628b		0x80
  - 0x628c		0x20
  - 0x628e		0x32
  - 0x6290		0x40
  - 0x6292		0x0a
  - 0x6296		0x50
  - 0x629a		0xf8
  - 0x629b		0x01
  - 0x629d		0x03
  - 0x629f		0x04
  - 0x62b1		0x06
  - 0x62b5		0x3c
  - 0x62b9		0xc8
  - 0x62bc		0x02
  - 0x62bd		0x70
  - 0x62d0		0x06
  - 0x62d4		0x38
  - 0x62d8		0xb8
  - 0x62db		0x02
  - 0x62dc		0x40
  - 0x62dd		0x03
  - 0x637a		0x11
  - 0x637b		0xd4
  - 0x6388		0x22
  - 0x6389		0x82
  - 0x638a		0xc8
  - 0x639d		0x20
  - 0x7ba0		0x01
  - 0x7ba9		0x00
  - 0x7baa		0x01
  - 0x7bad		0x00
  - 0x9002		0x00
  - 0x9003		0x00
  - 0x9004		0x08
  - 0x9006		0x01
  - 0x9200		0x93
  - 0x9201		0x85
  - 0x9202		0x93
  - 0x9203		0x87
  - 0x9204		0x93
  - 0x9205		0x8d
  - 0x9206		0x93
  - 0x9207		0x8f
  - 0x9208		0x6a
  - 0x9209		0x23
  - 0x920a		0x6a
  - 0x920b		0x0f
  - 0x920c		0x71
  - 0x920d		0x03
  - 0x920e		0x71
  - 0x920f		0x0b
  - 0x935d		0x01
  - 0x9389		0x05
  - 0x938b		0x05
  - 0x9391		0x05
  - 0x9393		0x05
  - 0x9395		0x82
  - 0x9397		0x78
  - 0x9399		0x05
  - 0x939b		0x05
  - 0xaa3f		0x04
  - 0xaa41		0x03
  - 0xaa43		0x02
  - 0xaa5d		0x05
  - 0xaa5f		0x03
  - 0xaa61		0x02
  - 0xaacf		0x04
  - 0xaad1		0x03
  - 0xaad3		0x02
  - 0xaaed		0x05
  - 0xaaef		0x03
  - 0xaaf1		0x02
  - 0xb388		0x28
  - 0xbc40		0x03
  - 0xe0a5		0x0b
  - 0xe0a6		0x0b
  - 0x5617		0x0a
  - 0x3f4c		0x01
  - 0x3f4d		0x01
  - 0x4254		0x7f
  - 0xbc41		0x01
  - 0x3e20		0x00
  - 0x3e37		0x00
  - 0x3e3b		0x00
  - 0x3614		0x00
  - 0x3616		0x0e
  - 0x3617		0x66
  - 0x3230		0x00
  - 0x3602		0x00
  - 0x3c00		0x5b
  - 0x3c01		0x54
  - 0x3c02		0x77
  - 0x3c03		0x66
  - 0x3c04		0xc8
  - 0x3c05		0x14
  - 0x3c06		0x01
  - 0x3c07		0x01
  - 0x3f14		0x01
  - 0x3f17		0x00
  - 0x3f3c		0x01
  - 0x3f78		0x00
  - 0x3f79		0xb4
  - 0x3f7c		0x00
  - 0x3f7d		0x00

#license:
#  filename				: bsd-3-clause

end:
